footer{
    background-color: var(--principal);
    color: var(--blanco);
    padding: 50px 0px;
    padding-bottom: 30px;
}

.ContenedorImgFooter{
    width: 90px;
    height: auto;
}
.ContenedorImgFooter img{
    width: 100%;
    height: auto;

    overflow: hidden;
}

.ContenedorFLexFoooter{
    display: flex;
    justify-content: space-between;
    gap: 20px;
    flex-wrap: wrap;
    padding-bottom: 40px;
}

.footer{
    display: flex;
    flex-direction: column;
    gap: 10px;

}





.footer .textoAsesoria{
    font-size: 14px;
    line-height: 1.4;
    padding: 8px 0px;
    font-weight: 400;
    text-align: start;
}

.footer a{
    color: var(--blanco);
    text-decoration: none;
    transition: all ease .3s;
    font-size: 14px;
    font-weight: 300;
}

/*PARA EL ICONO DEL FOOTER*/
.footer .flecha i{
    color: var(--secundario);
    padding-right:5px ;
    font-size: 10px;
}

.footer h3{
    font-weight: 600;
    padding-bottom:10px;
}

.footer a:hover{
    color: var(--secundariohover);
}


.footer:nth-child(1)
{
    width: 300px;
}

.footer:nth-child(2),
.footer:nth-child(3){
    width: 200px;
    gap: 15px;
}

.footer:nth-child(4)
{
    width: 340px;
    gap: 15px;
}

.FlexRedesIcon{
    display: flex;
    gap: 10px;

}
.redes{
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #162b49;
    border-radius: 50%;
    font-size: 18px;
    cursor: pointer;
    transition: all ease .3s;
}
.redes:hover{
    background-color: var(--principalhover);
}
.flecha a {
    position: relative; /* necesario para ::before */
    text-decoration: none; /* opcional, quita subrayado */
    color: inherit; /* hereda el color del texto */
    display: inline-block; /* para margen si quieres */
    margin: 5px 0; /* opcional para separar links */
}



.colorIcono a{
    color: var(--secundario);
    cursor: pointer;
}
.colorIcono a span{
    color: var(--blanco);
    margin-left: 5px;
    transition: all ease .3s;

}

.colorIcono a span:hover{
    color: var(--secundariohover);
}


.Flexcopyright{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    font-size: 14px;
    padding-top: 10px;

}

.Flexcopyright p a{
    color: white;
    text-decoration: none;
    transition: all ease .3s;
}
.Flexcopyright p a:hover{
    color: var(--secundariohover);
}


.Flexcopyright p span{
    padding: 0px 10px;
}

.linea{
    width: 100%;
    border: 1px solid rgba(255, 255, 255, 0.4); /* blanco con 40% de opacidad */
    /*margin: 10px 0px;*/
    position: relative;
    margin: 20px 0px;

}

.FlechaArriba{
    position: absolute;
    left: -50px;
    border: 2px solid var(--secundario);
    color:var(--secundario);
    padding: 8px 10px;
    border-radius: 5px;
    transform: translateY(-50%);
}
.wasap {
    position: absolute;
    right: -60px;
    transform: translateY(-50%);
    background-color: red;
    background-color: var(--verde);
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
}


.btn-scrolltop {
    position: fixed;
    bottom: 25px;
    left:20px;
    padding: 5px 12px;
    font-size: 18px;
    background-color: var(--principal);
    color: var(--secundario);
    border:none;
    border: 3px solid var(--secundario);
    box-shadow: rgba(101, 107, 114, 0.2) 0px 8px 24px;
    cursor: pointer;
    transform: translateY(100px);
    border-radius:5px;
    transition: 0.3s;
    z-index:11;
  }

  .btn-scrolltop-active {
    transform: translateY(0);
  }

  .btn-scrolltop:hover{
    background-color: var(--principal);
    color:var(--white);
  }









/* OVET CHAT */

.chatOvetButton{
    position: fixed;
    bottom: 25px;
    right:25px;
      width:65px;
    height:65px;
    background-color: #01BC71;
    display:flex;
    justify-content:center;
    align-items:center;
    border:none;box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    cursor: pointer;
    border-radius:50%;
    transition: 0.3s;
    z-index:13;
    overflow: hidden;
}



.chatOvetButton .containerImgChat img{
    width:100%;
    height:100%;
    object-fit: contain;
    transition: all ease .3s;
}

.closeChat{
    cursor: pointer;
    font-size:30px;margin-top: 5px;
    transition: all ease .3s;
}

.closeChat:hover{
    transform: rotate(360deg);
}

.containerChatOvet{
    position: fixed;
    bottom:100px;
    right:30px;
    width:400px;
    min-height:150px;
    border-radius:5px;
    background-color: var(--blanco);
    z-index:13;
    overflow: hidden;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    display:none;
}

.flexCabChat{
    width:100%;
    height:50px;
    display: flex;
    justify-content: space-between;
    padding:10px 15px;
    background-color: #01BC63;
    color:var(--white);    align-items: center;
    padding-top:8px;
}

.flexCabChat .flexIconTitle{
    font-weight:550;
    font-size:18px;
    display: flex;
    align-items: center;
    gap:5px;
    margin-top:2px;
}

.flexCabChat .flexIconTitle i{
    margin-right:5px;
    font-size:25px;
    margin-top:2px;
}

.contactsChat{
    width:100%;
    height:auto;
    max-height:300px;
    overflow-y: auto;
    padding:10px;
}

.flexcontactOvetWhatsApp{
    width:100%;
    background-color:var(--blanco);
    display:flex;
    justify-content: start;
    align-items: center;
    padding:10px;
    gap:10px;
    position:relative;
    border-radius:5px;
    margin-bottom:10px;
    text-decoration:none;
}

.containerContactChatImg{
    width:45px;height:45px;
    background-color: var(--blanco);
    border-radius:50%;
    border:1px solid #aeaeae;
    overflow: hidden;
}

.containerContactChatImg img{
    width:100%;
    height:100%;
    object-fit: cover;
    transition: all ease .3s;
}

.pointerActive{
    position:absolute;
    width:10px;height:10px;
    border-radius:50%;
    background-color: #01BC63;
    left:45px;
    top:43px;
}

.nombreContactChat{
    color:var(--negro);
       font-size: 16px;
    width:85%;
    line-height: 1.2;
}


.flexcontactOvetWhatsApp:hover{
    width:100%;
    background-color:#f5f5f5;
}


.overlayChat{
    position: fixed;
	top:0px;
	left:0;
	width: 100%;
	height:100%;
	z-index:12;
	background-color: rgba(0, 0, 0, 0.219);
	display:none;
}

.showBlock{
    display:block;
}








@media (max-width: 900px) {
    .ContenedorFLexFoooter{
        flex-direction: column;
        gap: 30px;
    }
    .Flexcopyright{
        flex-direction: column;
        align-items: center;
        padding: 10px;
        line-height: 2;
        text-align: center;flex-flow: column-reverse;
    }
}


@media (max-width:500px ) {
.containerChatOvet{
    width:300px;
 }
 .flexcontactOvetWhatsApp{
    padding:10px 0px;
 }
 .pointerActive{
    left: 32px;
 }

 .flexCabChat .flexIconTitle{
        font-size: 15px;
 }

 .flexCabChat .flexIconTitle i{
    font-size:18px;
 }

}


@media (max-width:400px ) {
 .colorIcono a span{
    font-size: 15px;
 }
}
